Project

General

Profile

Bug #31701

Parsing of Deb822 data with python3-apt's apt_pkg was requested but this package is not importable. Is python3-apt installed?

Added by Piotr Pietruszka over 1 year ago. Updated 8 months ago.

Status:
Rejected
Priority:
High
Assignee:
-
Category:
-
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

When syncing stretch-updates repo got:

Jan 21 12:42:23 oplrepo-cpd-dmz pulpcore-worker-6: pulp: pulp_deb.app.tasks.synchronizing:INFO: Downloading Release file for distribution: "stretch-updates"
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: pulp_deb.app.tasks.synchronizing:INFO: Parsing Release file for release: "stretch-updates"
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: pulp_deb.app.tasks.synchronizing:INFO: Downloading: main/binary-amd64/Packages
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-api: - - [21/Jan/2021:11:42:24 +0000] "GET /pulp/api/v3/tasks/5ddf12ae-c308-4951-9526-5e56b9f49003/ HTTP/1.1" 200 1214 "-" "OpenAPI-Generator/3.7.1/ruby"
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: /usr/lib/python3.6/site-packages/debian/deb822.py:727: UserWarning: Parsing of Deb822 data with python3-apt's apt_pkg was requested but this package is not importable. Is python3-apt installed?
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: warnings.warn(msg)
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: pulp_deb.app.tasks.synchronizing:INFO: Artifact digest not matched. Ignored
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: pulp_deb.app.tasks.synchronizing:INFO: Artifact digest not matched. Ignored
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: pulp_deb.app.tasks.synchronizing:INFO: Artifact digest not matched. Ignored
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: rq.worker:INFO: : Job OK (5ddf12ae-c308-4951-9526-5e56b9f49003)
Jan 21 12:42:24 oplrepo-cpd-dmz pulpcore-worker-6: pulp: rq.worker:INFO: : 08490fb2-f0e9-42e4-841d-bcc384c4c725
Jan 21 12:42:25 oplrepo-cpd-dmz pulpcore-api: - - [21/Jan/2021:11:42:25 +0000] "GET /pulp/api/v3/tasks/5ddf12ae-c308-4951-9526-5e56b9f49003/ HTTP/1.1" 200 1247 "-" "OpenAPI-Generator/3.7.1/ruby"
Jan 21 12:42:25 oplrepo-cpd-dmz pulpcore-worker-6: pulp: rq.worker:INFO: : Job OK (08490fb2-f0e9-42e4-841d-bcc384c4c725)
Jan 21 12:42:25 oplrepo-cpd-dmz pulpcore-api: pulp: django.request:WARNING: Bad Request: /pulp/api/v3/distributions/deb/apt/
Jan 21 12:42:25 oplrepo-cpd-dmz pulpcore-api: - - [21/Jan/2021:11:42:25 +0000] "POST /pulp/api/v3/distributions/deb/apt/ HTTP/1.1" 400 44 "-" "OpenAPI-Generator/2.7.0/ruby"

RPM version:

foreman-2.3.2-1.el7.noarch
foreman-cli-2.3.2-1.el7.noarch
foreman-client-release-2.1.4-1.el7.noarch
foreman-debug-2.3.2-1.el7.noarch
foreman-dynflow-sidekiq-2.3.2-1.el7.noarch
foreman-installer-2.3.2-1.el7.noarch
foreman-installer-katello-2.3.2-1.el7.noarch
foreman-postgresql-2.3.2-1.el7.noarch
foreman-proxy-2.3.2-1.el7.noarch
foreman-release-2.3.2-1.el7.noarch
foreman-service-2.3.2-1.el7.noarch
katello-3.18.1-1.el7.noarch
katello-agent-3.5.4-1.el7.noarch
katello-ca-consumer-oplrepo-cpd-dmz.corpnet.pl-1.0-2.noarch
katello-certs-tools-2.7.3-1.el7.noarch
katello-client-bootstrap-1.7.5-1.el7.noarch
katello-common-3.18.1-1.el7.noarch
katello-debug-3.18.1-1.el7.noarch
katello-default-ca-1.0-1.noarch
katello-host-tools-3.5.4-1.el7.noarch
katello-host-tools-fact-plugin-3.5.4-1.el7.noarch
katello-repos-3.18.1-1.el7.noarch
katello-server-ca-1.0-4.noarch
oplrepo-cpd-dmz.corpnet.pl-foreman-client-1.0-1.noarch
oplrepo-cpd-dmz.corpnet.pl-foreman-proxy-1.0-4.noarch
oplrepo-cpd-dmz.corpnet.pl-foreman-proxy-client-1.0-1.noarch
pulp-admin-client-2.21.4-2.el7.noarch
pulp-client-1.0-1.noarch
pulp-deb-admin-extensions-1.10.2-1.el7.noarch
pulp-deb-plugins-1.10.2-1.el7.noarch
pulp-docker-admin-extensions-3.2.8-1.el7.noarch
pulp-docker-plugins-3.2.8-1.el7.noarch
pulp-katello-1.0.3-1.el7.noarch
pulp-nodes-admin-extensions-2.21.4-2.el7.noarch
pulp-nodes-common-2.21.4-2.el7.noarch
pulp-ostree-admin-extensions-1.4.0-1.el7.noarch
pulp-puppet-admin-extensions-2.21.4-1.el7.noarch
pulp-puppet-plugins-2.21.4-1.el7.noarch
pulp-puppet-tools-2.21.4-1.el7.noarch
pulp-python-admin-extensions-2.0.4-1.el7.noarch
pulp-rpm-admin-extensions-2.21.4-2.el7.noarch
pulp-rpm-plugins-2.21.4-2.el7.noarch
pulp-selinux-2.21.4-2.el7.noarch
pulp-server-2.21.4-2.el7.noarch
python3-pulp-2to3-migration-0.6.0-2.el7.noarch
python3-pulp-certguard-1.0.3-1.el7.noarch
python3-pulp-container-2.1.0-1.el7.noarch
python3-pulpcore-3.7.3-1.el7.noarch
python3-pulp-deb-2.7.0-1.el7.noarch
python3-pulp-file-1.3.0-1.el7.noarch
python3-pulp-rpm-3.7.0-1.el7.noarch
python-pulp-bindings-2.21.4-2.el7.noarch
python-pulp-client-lib-2.21.4-2.el7.noarch
python-pulp-common-2.21.4-2.el7.noarch
python-pulp-deb-common-1.10.2-1.el7.noarch
python-pulp-docker-common-3.2.8-1.el7.noarch
python-pulp-oid_validation-2.21.4-2.el7.noarch
python-pulp-ostree-common-1.4.0-1.el7.noarch
python-pulp-puppet-common-2.21.4-1.el7.noarch
python-pulp-python-common-2.0.4-1.el7.noarch
python-pulp-repoauth-2.21.4-2.el7.noarch
python-pulp-rpm-common-2.21.4-2.el7.noarch
python-pulp-streamer-2.21.4-2.el7.noarch
rubygem-foreman_maintain-0.7.1-1.el7.noarch
tfm-rubygem-foreman_remote_execution-4.2.1-1.fm2_3.el7.noarch
tfm-rubygem-foreman_remote_execution_core-1.4.0-1.el7.noarch
tfm-rubygem-foreman-tasks-3.0.2-1.fm2_3.el7.noarch
tfm-rubygem-foreman-tasks-core-0.3.4-1.fm2_1.el7.noarch
tfm-rubygem-hammer_cli_foreman-2.3.0-1.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.3.0-1.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.7-1.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.15-1.fm2_2.el7.noarch
tfm-rubygem-hammer_cli_katello-0.24.2-1.el7.noarch
tfm-rubygem-katello-3.18.1-1.el7.noarch
tfm-rubygem-pulp_2to3_migration_client-0.5.0-1.el7.noarch
tfm-rubygem-pulp_ansible_client-0.4.2-1.el7.noarch
tfm-rubygem-pulp_certguard_client-1.0.3-1.el7.noarch
tfm-rubygem-pulp_container_client-2.1.0-1.el7.noarch
tfm-rubygem-pulpcore_client-3.7.1-1.el7.noarch
tfm-rubygem-pulp_deb_client-2.7.0-1.el7.noarch
tfm-rubygem-pulp_file_client-1.3.0-1.el7.noarch
tfm-rubygem-pulp_rpm_client-3.7.0-1.el7.noarch
tfm-rubygem-smart_proxy_pulp-2.1.0-3.fm2_2.el7.noarch

History

#1 Updated by Piotr Pietruszka over 1 year ago

In /var/log/foreman/production.log I see:

2021-01-21T12:42:25 [E|bac|] Error message: the server returns an error | HTTP status code: 400 | Response headers: {"date"=>"Thu, 21 Jan 2021 11:42:25 GMT", "server"=>"gunicorn/20.0.4", "content-type"=>"application/json", "vary"=>"Accept,Cookie", "allow"=>"GET, POST, HEAD, OPTIONS", "x-frame-options"=>"SAMEORIGIN", "content-length"=>"44", "via"=>"1.1 oplrepo-cpd-dmz.corpnet.pl", "connection"=>"close"} | Response body: {"base_path":["This field must be unique."]} (PulpDebClient::ApiError) | /opt/theforeman/tfm/root/usr/share/gems/gems/pulp_deb_client-2.7.0/lib/pulp_deb_client/api_client.rb:81:in `call_api' | /opt/theforeman/tfm/root/usr/share/gems/gems/pulp_deb_client-2.7.0/lib/pulp_deb_client/api/distributions_apt_api.rb:79:in `create_with_http_info' | /opt/theforeman/tfm/root/usr/share/gems/gems/pulp_deb_client-2.7.0/lib/pulp_deb_client/api/distributions_apt_api.rb:28:in `create' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/services/katello/pulp3/repository.rb:233:in `create_distribution' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/services/katello/pulp3/repository.rb:227:in `refresh_distributions' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/pulp3/repository/refresh_distribution.rb:27:in `invoke_external_task' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/polling.rb:84:in `initiate_external_action' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/polling.rb:19:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/cancellable.rb:14:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/pulp3/abstract_async_task.rb:10:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:571:in `block (3 levels) in execute_run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/middleware/execute_if_contents_changed.rb:5:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:32:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/middleware/remote_action.rb:16:in `block in run' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/middleware/remote_action.rb:40:in `block in as_remote_user' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/models/katello/concerns/user_extensions.rb:21:in `cp_config' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/middleware/remote_action.rb:27:in `as_cp_user' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/middleware/remote_action.rb:39:in `as_remote_user' | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.18.1/app/lib/actions/middleware/remote_action.rb:16:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/rails_executor_wrap.rb:14:in `block in run' | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/execution_wrapper.rb:88:in `wrap' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/rails_executor_wrap.rb:13:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/progress.rb:31:in `with_progress_calculation' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/progress.rb:17:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_request_id.rb:15:in `block in run' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_request_id.rb:49:in `restore_current_request_id' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_request_id.rb:15:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_timezone.rb:15:in `block in run' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_timezone.rb:44:in `restore_curent_timezone' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_timezone.rb:15:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_user.rb:15:in `block in run' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_user.rb:44:in `restore_curent_user' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_user.rb:15:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in `block in run' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_taxonomies.rb:45:in `restore_current_taxonomies' | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-3.0.2/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in `pass' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:32:in `run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in `call' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/world.rb:31:in `execute' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:570:in `block (2 levels) in execute_run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:569:in `catch' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:569:in `block in execute_run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:472:in `block in with_error_handling' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:472:in `catch' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:472:in `with_error_handling' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:564:in `execute_run' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:285:in `execute' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:18:in `block (2 levels) in execute' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract.rb:167:in `with_meta_calculation' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:17:in `block in execute' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:32:in `open_action' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:16:in `execute' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/director.rb:68:in `execute' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:11:in `block (2 levels) in perform' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors.rb:18:in `run_user_code' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:9:in `block in perform' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:25:in `with_telemetry' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:8:in `perform' | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/serialization.rb:27:in `perform' | [ sidekiq ] | [ concurrent-ruby ]
2021-01-21T12:42:25 [I|bac|] Task {label: Actions::Katello::Repository::Sync, id: 76ece4b8-3b16-4e69-a510-db033eaeca57, execution_plan_id: a4dfa110-f66a-4d77-8c81-0902553db8d3} state changed: stopped result: warning
2021-01-21T12:42:25 [I|bac|] Task {label: Actions::Katello::Repository::Sync, id: 76ece4b8-3b16-4e69-a510-db033eaeca57, execution_plan_id: a4dfa110-f66a-4d77-8c81-0902553db8d3} state changed: stopped result: warning

#2 Updated by Samir Jha over 1 year ago

  • Triaged changed from No to Yes
  • Target version set to Katello 3.18.2
  • Status changed from New to Need more information

#3 Updated by Justin Sherrill over 1 year ago

Hello! This looks like a pulp bug, i investigated a little big and opened an issue here: https://pulp.plan.io/issues/8173

We'll leave this open to track the fix.

#4 Updated by Piotr Pietruszka over 1 year ago

I will only add that I can see this repository from the hammer level:

[root@oplrepo-cpd-dmz ~]# hammer repository list | grep -i Stretch
286 | debian-stretch-docker | utilities | deb | https://download.docker.com/linux/debian
570 | Stretch | Debian | deb | http://ftp.debian.org/debian/
625 | Stretch-updates | Debian | deb | http://ftp.debian.org/debian/
[root@oplrepo-cpd-dmz ~]# hammer repository show
Missing arguments for '--id'.
[root@oplrepo-cpd-dmz ~]# hammer repository show --id 625
ID: 625
Name: Stretch-updates
Label: Stretch-updates
Description:
Organization: OPL
Red Hat Repository: no
Content Type: deb
Mirror on Sync: yes
URL: http://ftp.debian.org/debian/
Publish Via HTTP: yes
Published At: http://oplrepo-cpd-dmz.corpnet.pl/pulp/deb/OPL/Library/custom/Debian/Stretch-updates/
Relative Path: OPL/Library/custom/Debian/Stretch-updates
Download Policy:
HTTP Proxy:
HTTP Proxy Policy: global_default_http_proxy
Product:
ID: 59
Name: Debian
GPG Key:

Sync:
Status: Not Synced
Created: 2021/01/26 10:03:21
Updated: 2021/01/26 10:03:24
Content Counts:

But I can't see it from pulp-admin:

[root@oplrepo-cpd-dmz ~]# pulp-admin repo list | grep -i Stretch
Display Name: debian-stretch-docker
Display Name: Stretch

#5 Updated by Jonathon Turel over 1 year ago

  • Target version changed from Katello 3.18.2 to Katello 4.1.0

Moving this to the 4.1 release as the pulp issue is unresolved as of today

#6 Updated by Jonathon Turel about 1 year ago

  • Target version changed from Katello 4.1.0 to Katello 4.2.0

#7 Updated by Justin Sherrill 12 months ago

  • Status changed from Need more information to Rejected

gonna close this as there's not much we can do, we have to wait for pulp_deb to fix it. There is active discussion, so hopefully it can be fixed soon

#8 Updated by Chris Roberts 8 months ago

  • Target version changed from Katello 4.2.0 to Katello Recycle Bin

Also available in: Atom PDF